CVE-2006-2750
CVSS4.3
发布时间 :2006-06-01 06:02:00
修订时间 :2008-09-05 17:05:20
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in the do_mysql_query function in core.php for Open Searchable Image Catalogue (OSIC) before 0.7.0.1 allows remote attackers to inject arbitrary web scripts or HTML via failed SQL queries, which is reflected in an error message.


[CNNVD]Open Searchable Image Cataloguecore.php do_mysql_query函数 跨站脚本攻击(XSS)漏洞(CNNVD-200606-038)

        Open Searchable Image Catalogue (OSIC)的0.7.0.1之前版本的core.php中的do_mysql_query函数存在跨站脚本攻击(XSS)漏洞,远程攻击者可通过失败的SQL查询(在出错消息内反映)来注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2750
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2750
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-038
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/18169
(UNKNOWN)  BID  18169
http://www.securityfocus.com/archive/1/archive/1/435380/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060530 Open Searchable Image Catalogue: XSS and SQL Injection Vulnerabilities
http://www.seclab.tuwien.ac.at/advisories/TUVSA-0605-001.txt
(UNKNOWN)  MISC  http://www.seclab.tuwien.ac.at/advisories/TUVSA-0605-001.txt
http://svn.sourceforge.net/viewcvs.cgi/osic-win/branches/osic_0-7/osic/core.php?r1=477&r2=631
(UNKNOWN)  MISC  http://svn.sourceforge.net/viewcvs.cgi/osic-win/branches/osic_0-7/osic/core.php?r1=477&r2=631
http://sourceforge.net/forum/forum.php?forum_id=576483
(UNKNOWN)  CONFIRM  http://sourceforge.net/forum/forum.php?forum_id=576483
http://securitytracker.com/id?1016178
(UNKNOWN)  SECTRACK  1016178
http://secunia.com/advisories/20341
(UNKNOWN)  SECUNIA  20341
http://xforce.iss.net/xforce/xfdb/26966
(UNKNOWN)  XF  osic-core-xss(26966)
http://securityreason.com/securityalert/1014
(UNKNOWN)  SREASON  1014

- 漏洞信息

Open Searchable Image Cataloguecore.php do_mysql_query函数 跨站脚本攻击(XSS)漏洞
中危 跨站脚本
2006-06-01 00:00:00 2006-06-01 00:00:00
远程  
        Open Searchable Image Catalogue (OSIC)的0.7.0.1之前版本的core.php中的do_mysql_query函数存在跨站脚本攻击(XSS)漏洞,远程攻击者可通过失败的SQL查询(在出错消息内反映)来注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Open Searchable Image Catalogue OSIC 0.7
        Open Searchable Image Catalogue osic-0.7.0.1.tar.gz
        http://prdownloads.sourceforge.net/osic-win/osic-0.7.0.1.tar.gz

- 漏洞信息

26125
Open Searchable Image Catalogue core.php do_mysql_query Function Error Message XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-05-30 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.7.0.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站